/* Flickity fullscreen v1.0.1
------------------------- */

.flickity-enabled.is-fullscreen {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: hsl(0 0% 0% / 90%);
  padding-bottom: 35px;
  z-index: 1000000;
  background-color: var(--nav-background);
}

.flickity-enabled.is-fullscreen .flickity-page-dots {
  bottom: 1rem;
}

.flickity-enabled.is-fullscreen .flickity-page-dots .dot {
  background: white;
}

/* prevent page scrolling when flickity is fullscreen */

html.is-flickity-fullscreen {
  overflow: hidden;
}

/* ---- flickity-fullscreen-button ---- */

.flickity-fullscreen-button {
  display: block;
  right: 1rem;
  top: 1rem;
  width: 2rem;
  height: 2rem;
  border-radius: 4px;
}

/* right-to-left */

.flickity-rtl .flickity-fullscreen-button {
  right: auto;
  left: 10px;
}

.flickity-fullscreen-button-exit {
  display: none;
}

.flickity-enabled.is-fullscreen .flickity-fullscreen-button-exit {
  display: block;
}

.flickity-enabled.is-fullscreen .flickity-fullscreen-button-view {
  display: none;
}

.flickity-fullscreen-button .flickity-button-icon {
  position: absolute;
  width: 1.5rem;
  height: 1.5rem;
  left: 4px;
  top: 4px;
}

